Retrieve Document Version Attachment Version Metadata
Retrieve a specific version of an attachment on a document version.
GET
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/attachments/{attachment_id}/versions/{attachment_version}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
{attachment_id} | The id of the document attachment to retrieve. |
{attachment_version} | Optional: The version of the attachment to retrieve. If omitted, the endpoint retrieves all versions of the specified attachment. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/objects/documents/17/versions/0/1/attachments/39/versions/1Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"id": 39,
"filename__v": "New",
"format__v": "application/x-tika-ooxml",
"size__v": 55762,
"md5checksum__v": "c5e7eaafc39af8ba42081a213a68f781",
"version__v": 1,
"created_by__v": 61603,
"created_date__v": "2017-10-30T17:03:29.878Z"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response contains the following metadata for the specified attachment version on the document version: